unit contact;

{$mode objfpc}
{$H+}
{$modeswitch prefixedattributes}
{$modeswitch advancedrecords}

interface

uses
  Classes, SysUtils, rest.types, rttitojson.types, objtodb.types;

{$RTTI EXPLICIT Fields[vcPublic]}

Type
  [Table('People')]
  [Resource('/REST/Contact')]
  TPerson = Record
    [DBKeyField]
    id : integer;

    [JSONKey('first-name')]
    [DBField('pe_name')]
    firstname : string;

    [JSONKey('last-name')]
    [DBField('pe_lastname')]
    lastname : string;

    [JSONKey('date-of-birth')]
    [DateFormat('yyyymmdd')]
    [DBField('pe_birthdate')]
    birthdate : TDateTime;
  end;


implementation

end.

